Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install httpd by compiling from source. I get the following error:

libtool: link: cannot find the library `/usr/local/apr/lib/libexpat.la'

locate libexpat does yield the following but configure seems to be looking in the wrong place. I think libtool is used to manage these links. My question is how can I specify the path to libexpat.la?

share|improve this question
    
what distro & architecture? –  iainlbc Mar 13 '11 at 8:07
add comment

1 Answer 1

Take a look here:

It's the same issue, just different library, should help you.

Note for the future: it would be better to ask these kinds of questions on stackoverflow.com.

share|improve this answer
    
Thanks. I actually asked a similar question a fortnight ago on StackOverflow and was told to post here in future. Appreciate your help though, cheers. –  Nomadin Nov 16 '10 at 14:07
    
:) Strange... This is a programming issue... Did the above solve your issue or not? –  icyrock.com Nov 16 '10 at 14:17
    
how is an error when installing from source a programming issue? –  iainlbc Mar 13 '11 at 7:53
    
@iainlbc Well, people who write programs usually compile them in order to run them and usually run into the problems like the OPs problem much more often then people who don't program, so yes it is. We can cast all sorts of doubts about whether it is or it's not - in my world, it's definitively more a programming issue then a server, network or a desktop PC relates issue (FAQ anyone? serverfault.com/faq). YMMV. –  icyrock.com Mar 15 '11 at 3:06
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.